## visad.data.fits
Class TourGuide

    java.lang.Object
      visad.data.fits.TourGuide

Direct Known Subclasses:
  FitsTourGuide

public abstract class TourGuide
extends Object

Constructor Summary
`TourGuide()`

Method Summary
`boolean` `show(Data data, Tourist tourist, int depth)`
`abstract boolean` `show(Function func, Tourist tourist, int depth)`
`abstract boolean` `show(Scalar scalar, Tourist tourist, int depth)`
`abstract boolean` `show(Set set, Tourist tourist, int depth)`
`abstract boolean` `show(Tuple tuple, Tourist tourist, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TourGuide

    public TourGuide()

Method Detail

### show

    public boolean show(Data data,
                        Tourist tourist,
                        int depth)
                 throws RemoteException,
                        VisADException

  Throws:
    `RemoteException`
    `VisADException`

### show

    public abstract boolean show(Function func,
                                 Tourist tourist,
                                 int depth)
                          throws RemoteException,
                                 VisADException

  Throws:
    `RemoteException`
    `VisADException`

### show

    public abstract boolean show(Scalar scalar,
                                 Tourist tourist,
                                 int depth)
                          throws VisADException

  Throws:
    `VisADException`

### show

    public abstract boolean show(Set set,
                                 Tourist tourist,
                                 int depth)
                          throws VisADException

  Throws:
    `VisADException`

### show

    public abstract boolean show(Tuple tuple,
                                 Tourist tourist,
                                 int depth)
                          throws RemoteException,
                                 VisADException

  Throws:
    `RemoteException`
    `VisADException`